Subject: [Id-event] Push draft: conclusion of WGLC

From: Yaron Sheffer <[email-masked]>
Date: Sun, 17 Feb 2019 16:42:55 +0200

Dear working group,

We issued a 2-week second last call for
draft-ietf-secevent-http-push-04 on Jan. 24, and extended it by a
further week, which expired on Friday. We had to issue a second last
call because of lack of response to the first last call which took
place in November/December.

The results were better in the second try (2 non-authors in support,
and 1 not clearly supporting publication) but not enough in our mind
to push the document forward.

This means that we will not be publishing the Push protocol as a
working group document. The authors are welcome to publish it
through other channels, as an AD-sposored RFC or through the ISE.

We regret that we have reached this impasse, but clearly there is
too little energy within the working group. We thank the authors for
the significant effort that they put into this document, and thank
the working group members who reviewed it.

Regards,

Dick and Yaron

---

From: Marius Scurtescu <[email-masked]>
Date: Sun, 24 Feb 2019 16:52:07 -0800

Regrettable indeed :-(

Were the recent official launches by Adobe and Google taken into
consideration?

Is it possible to consult the AD for options?

Did we consider the implications for the whole working group?

While the group is indeed at a low point of activity, a lot of work went
into this draft and it is central for real life implementations.

On Sun, Feb 17, 2019 at 6:43 AM Yaron Sheffer <[email-masked]> wrote:

> Dear working group,
>
> We issued a 2-week second last call for draft-ietf-secevent-http-push-04
> on Jan. 24, and extended it by a further week, which expired on Friday. We
> had to issue a second last call because of lack of response to the first
> last call which took place in November/December.
>
> The results were better in the second try (2 non-authors in support, and 1
> not clearly supporting publication) but not enough in our mind to push the
> document forward.
>
> This means that we will not be publishing the Push protocol as a working
> group document. The authors are welcome to publish it through other
> channels, as an AD-sposored RFC or through the ISE.
>
> We regret that we have reached this impasse, but clearly there is too
> little energy within the working group. We thank the authors for the
> significant effort that they put into this document, and thank the working
> group members who reviewed it.
>
> Regards,
>
>     Dick and Yaron
> _______________________________________________
> Id-event mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/id-event
>

---

From: "Richard Backman, Annabelle" <[email-masked]>
Date: Mon, 25 Feb 2019 19:08:14 +0000

Yaron,

Forgive my unfamiliarity with IETF process, but could you explain what this decision by the chairs means? Does this mean the document will not be advanced along the standards track, but will remain as a WG draft? Or does this mean the secevent WG is effectively dropping HTTP push delivery as a topic that it is working on?

--
Annabelle Richard Backman
AWS Identity

From: Id-event <[email-masked]> on behalf of Yaron Sheffer <[email-masked]>
Date: Sunday, February 17, 2019 at 6:43 AM
To: SecEvent <[email-masked]>
Subject: [Id-event] Push draft: conclusion of WGLC

Dear working group,

We issued a 2-week second last call for draft-ietf-secevent-http-push-04 on Jan. 24, and extended it by a further week, which expired on Friday. We had to issue a second last call because of lack of response to the first last call which took place in November/December.

The results were better in the second try (2 non-authors in support, and 1 not clearly supporting publication) but not enough in our mind to push the document forward.

This means that we will not be publishing the Push protocol as a working group document. The authors are welcome to publish it through other channels, as an AD-sposored RFC or through the ISE.

We regret that we have reached this impasse, but clearly there is too little energy within the working group. We thank the authors for the significant effort that they put into this document, and thank the working group members who reviewed it.

Regards,

    Dick and Yaron

---

From: Mike Jones <[email-masked]>
Date: Mon, 25 Feb 2019 20:20:57 +0000

It’s my hope that this will serve as a wake-up call to the working group that they need to participate if they want this and the poll spec to become standards.  Indeed, I hope that many additional reviews are forthcoming before our meeting in Prague and the decision to not proceed can be reversed on that basis.

Note that this is problematic for the poll spec as well, given its normative dependencies on the push spec.

                                                                -- Mike

From: Id-event <[email-masked]> On Behalf Of Richard Backman, Annabelle
Sent: Monday, February 25, 2019 11:08 AM
To: Yaron Sheffer <[email-masked]>; SecEvent <[email-masked]>
Subject: Re: [Id-event] Push draft: conclusion of WGLC

Yaron,

From: Id-event <[email-masked]<mailto:[email-masked]>> on behalf of Yaron Sheffer <[email-masked]<mailto:[email-masked]>>
Date: Sunday, February 17, 2019 at 6:43 AM
To: SecEvent <[email-masked]<mailto:[email-masked]>>
Subject: [Id-event] Push draft: conclusion of WGLC

Dear working group,

Regards,

    Dick and Yaron

---

From: Yaron Sheffer <[email-masked]>
Date: Mon, 25 Feb 2019 22:24:29 +0200

The latter: the working group is dropping HTTP Push as a topic.

Thanks,
	Yaron

On 25/02/2019 21:08, Richard Backman, Annabelle wrote:
> Yaron,
> 
> Forgive my unfamiliarity with IETF process, but could you explain what 
> this decision by the chairs means? Does this mean the document will not 
> be advanced along the standards track, but will remain as a WG draft? Or 
> does this mean the secevent WG is effectively dropping HTTP push 
> delivery as a topic that it is working on?
> 
> -- 
> 
> *From: *Id-event <[email-masked]> on behalf of Yaron Sheffer 
> <[email-masked]>
> *Date: *Sunday, February 17, 2019 at 6:43 AM
> *To: *SecEvent <[email-masked]>
> *Subject: *[Id-event] Push draft: conclusion of WGLC
> 
> Dear working group,
> 
> on Jan. 24, and extended it by a further week, which expired on Friday. 
> We had to issue a second last call because of lack of response to the 
> first last call which took place in November/December.
> 
> The results were better in the second try (2 non-authors in support, and 
> 1 not clearly supporting publication) but not enough in our mind to push 
> the document forward.
> 
> significant effort that they put into this document, and thank the 
> working group members who reviewed it.
> 
> Regards,
> 
>      Dick and Yaron
>

---

From: Phil Hunt <[email-masked]>
Date: Mon, 25 Feb 2019 13:30:04 -0800

It might be time to look at current popular streaming systems such as Kafka. If the group wants to write a new spec, then identify what problem is to be solved that hasn’t already been addressed in the market.

Phil Hunt | Cloud Security and Identity Architect
Oracle Corporation, Oracle Cloud Infrastructure
@independentid
www.independentid.com
[email-masked]

> On Feb 25, 2019, at 12:24 PM, Yaron Sheffer <[email-masked]> wrote:
> 
>> *From: *Id-event <[email-masked]> on behalf of Yaron Sheffer <[email-masked]>
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_id-2Devent&d=DwIGaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=na5FVzBTWmanqWNy4DpctyXPpuYqPkAI1aLcLN4KZNA&m=IhopAP-6tWoTdeVj-i6_kC7N053G_eaQJ7OEZGpoNmc&s=Nu5StUuDomBOpZIwbF7bpUS3djwgeBfySnVPbWZdNdE&e= <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_id-2Devent&d=DwIGaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=na5FVzBTWmanqWNy4DpctyXPpuYqPkAI1aLcLN4KZNA&m=IhopAP-6tWoTdeVj-i6_kC7N053G_eaQJ7OEZGpoNmc&s=Nu5StUuDomBOpZIwbF7bpUS3djwgeBfySnVPbWZdNdE&e=>

---

From: "Richard Backman, Annabelle" <[email-masked]>
Date: Tue, 26 Feb 2019 21:16:59 +0000

I'd like the chairs to explain the rationale behind this decision. Specifically, I would like to know:

1. How does this square with the persistent level of interest and engagement demonstrated during the presentations on this draft and its predecessor over the past several (4? 5?) IETF meetings?
2. What benefit is there to the IETF, the working group, or the community at-large in dropping this work, when there is a demonstrated need for the protocol, and multiple parties are already implementing it?
3. Why is this decision being made by the chairs, rather than the WG at large?
4. Is it standard practice to use engagement on a WGLC thread as a referendum on continuing the work within the WG?
5. What threshold of engagement needs to be met in order for the chairs to deem the document worthy of continued work within the WG?

On 2/25/19, 12:25 PM, "Id-event on behalf of Yaron Sheffer" <[email-masked] on behalf of [email-masked]> wrote:

    Thanks,
    	Yaron

---

From: Mike Jones <[email-masked]>
Date: Tue, 26 Feb 2019 23:24:51 +0000

I support Annabelle's inquiry.  In my past IETF experiences, working group decisions have been made to not progress a draft, but such a decision has never been made by the chairs without working group discussion on the question.

				-- Mike

-----Original Message-----
From: Id-event <[email-masked]> On Behalf Of Richard Backman, Annabelle
Sent: Tuesday, February 26, 2019 1:17 PM
To: Yaron Sheffer <[email-masked]>; SecEvent <[email-masked]>
Subject: Re: [Id-event] Push draft: conclusion of WGLC

    
    Thanks,
    	Yaron

---

From: Dick Hardt <[email-masked]>
Date: Wed, 27 Feb 2019 12:28:56 -0800

Annabelle and Mike

I appreciate that you are disappointed with the results of the WG LC -- we
are as well.

Per RFC 2418 Sec 7.4, the Chairs requested WG Last Call input multiple
times over several months, and received precious few responses on the
mailing list. "At least rough consensus" is needed for WG documents to be
advanced to the IESG (RFC 2418, Sec. 7.5), and with two non-author voices
in favor, and one against, it is quite clear to the Chairs that such
consensus has not been demonstrated.

Note that the Chairs are not determining that the Push Delivery document
should not be worked on, only that it has not met the requirements for
moving forward in the IETF process.

Related is the lack of energy in the WG. The 2018-10-03 interim meeting was
cancelled due to lack of progress. Updates on the Poll and Subject
Identifier documents are still outstanding. Only 3 of the 5 authors of the
Push Delivery document responded to the WG LC.  Forward progress of the WG
is the responsibility of the Chairs (RFC 2418, Sec. 6.1). With the SET
document process now complete as RFC 8417, and the Push Delivery document
not achieving WG consensus, the choice to terminate the WG per RFC 2418,
Sec 4 is open for discussion by the WG.

wrt. deployments using the Push Delivery document, implementation of the
proposed protocol is an important factor in progressing the document, but
it is not sufficient in the absence of WG
consensus. Additionally, those deployments are specified in the OpenID
Foundation RISC Profile
https://openid.net/specs/openid-risc-profile-1_0-ID1.html

Dick and Yaron

On Tue, Feb 26, 2019 at 3:25 PM Mike Jones <Michael.Jones=
[email-masked]> wrote:

> I support Annabelle's inquiry.  In my past IETF experiences, working group
> decisions have been made to not progress a draft, but such a decision has
> never been made by the chairs without working group discussion on the
> question.
>
>                                 -- Mike
>
> 1. How does this square with the persistent level of interest and
> engagement demonstrated during the presentations on this draft and its
> predecessor over the past several (4? 5?) IETF meetings?
> 2. What benefit is there to the IETF, the working group, or the community
> at-large in dropping this work, when there is a demonstrated need for the
> protocol, and multiple parties are already implementing it?
> 4. Is it standard practice to use engagement on a WGLC thread as a
> referendum on continuing the work within the WG?
> 5. What threshold of engagement needs to be met in order for the chairs to
> deem the document worthy of continued work within the WG?
>
> --
> On 2/25/19, 12:25 PM, "Id-event on behalf of Yaron Sheffer" <
> [email-masked] on behalf of [email-masked]> wrote:
>
> draft-ietf-secevent-http-push-04
> and
> working
> too

---

From: "Richard Backman, Annabelle" <[email-masked]>
Date: Wed, 27 Feb 2019 22:01:25 +0000

Dick,

Could you clarify? Yaron said “the working group is dropping HTTP Push as a topic” but you said “the Chairs are not determining that the Push Delivery document should not be worked on.” These seem to contradict one another.

From: Id-event <[email-masked]> on behalf of Dick Hardt <[email-masked]>
Date: Wednesday, February 27, 2019 at 12:29 PM
To: Mike Jones <Michael.Jones=[email-masked]>
Cc: Yaron Sheffer <[email-masked]>, SecEvent <[email-masked]>, "Richard Backman, Annabelle" <richanna=[email-masked]>
Subject: Re: [Id-event] Push draft: conclusion of WGLC

Annabelle and Mike

I appreciate that you are disappointed with the results of the WG LC -- we are as well.

Per RFC 2418 Sec 7.4, the Chairs requested WG Last Call input multiple times over several months, and received precious few responses on the mailing list. "At least rough consensus" is needed for WG documents to be advanced to the IESG (RFC 2418, Sec. 7.5), and with two non-author voices in favor, and one against, it is quite clear to the Chairs that such consensus has not been demonstrated.

Note that the Chairs are not determining that the Push Delivery document should not be worked on, only that it has not met the requirements for moving forward in the IETF process.

Related is the lack of energy in the WG. The 2018-10-03 interim meeting was cancelled due to lack of progress. Updates on the Poll and Subject Identifier documents are still outstanding.. Only 3 of the 5 authors of the Push Delivery document responded to the WG LC.  Forward progress of the WG is the responsibility of the Chairs (RFC 2418, Sec. 6.1). With the SET document process now complete as RFC 8417, and the Push Delivery document not achieving WG consensus, the choice to terminate the WG per RFC 2418, Sec 4 is open for discussion by the WG.

wrt. deployments using the Push Delivery document, implementation of the proposed protocol is an important factor in progressing the document, but it is not sufficient in the absence of WG
consensus. Additionally, those deployments are specified in the OpenID Foundation RISC Profile https://openid.net/specs/openid-risc-profile-1_0-ID1.html

Dick and Yaron
[https://ssl.gstatic.com/ui/v1/icons/mail/images/cleardot.gif]

On Tue, Feb 26, 2019 at 3:25 PM Mike Jones <Michael.Jones=[email-masked]<mailto:[email-masked]>> wrote:
I support Annabelle's inquiry.  In my past IETF experiences, working group decisions have been made to not progress a draft, but such a decision has never been made by the chairs without working group discussion on the question.

                                -- Mike

-----Original Message-----
From: Id-event <[email-masked]<mailto:[email-masked]>> On Behalf Of Richard Backman, Annabelle
Sent: Tuesday, February 26, 2019 1:17 PM
To: Yaron Sheffer <[email-masked]<mailto:[email-masked]>>; SecEvent <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Id-event] Push draft: conclusion of WGLC

On 2/25/19, 12:25 PM, "Id-event on behalf of Yaron Sheffer" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

    Thanks,
        Yaron

    On 25/02/2019 21:08, Richard Backman, Annabelle wrote:
    > *From: *Id-event <[email-masked]<mailto:[email-masked]>> on behalf of Yaron Sheffer
    > <[email-masked]<mailto:[email-masked]>>
    > *To: *SecEvent <[email-masked]<mailto:[email-masked]>>

    _______________________________________________
    Id-event mailing list
    [email-masked]<mailto:[email-masked]>
    https://www.ietf.org/mailman/listinfo/id-event

_______________________________________________
Id-event mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/id-event
_______________________________________________
Id-event mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/id-event

---

From: Yaron Sheffer <[email-masked]>
Date: Thu, 28 Feb 2019 00:33:17 +0200

Hi Annabelle,

You are correct that the two contradict, and I would like to take back 
the sentence about dropping the topic.

Thanks,
	Yaron

On 28/02/2019 0:01, Richard Backman, Annabelle wrote:
> Dick,
> 
> Could you clarify? Yaron said “the working group is dropping HTTP Push 
> as a topic” but you said “the Chairs are not determining that the Push 
> Delivery document should not be worked on.” These seem to contradict one 
> another.
> 
> -- 
> 
> *From: *Id-event <[email-masked]> on behalf of Dick Hardt 
> <[email-masked]>
> *Date: *Wednesday, February 27, 2019 at 12:29 PM
> *To: *Mike Jones <Michael.Jones=[email-masked]>
> *Cc: *Yaron Sheffer <[email-masked]>, SecEvent 
> <[email-masked]>, "Richard Backman, Annabelle" 
> <richanna=[email-masked]>
> *Subject: *Re: [Id-event] Push draft: conclusion of WGLC
> 
> Annabelle and Mike
> 
> mailing list. "At least rough consensus" is needed for WG documents to 
> be advanced to the IESG (RFC 2418, Sec. 7.5), and with two non-author 
> voices in favor, and one against, it is quite clear to the Chairs that 
> such consensus has not been demonstrated.
> 
> Related is the lack of energy in the WG. The 2018-10-03 interim meeting 
> was cancelled due to lack of progress. Updates on the Poll and Subject 
> Identifier documents are still outstanding.. Only 3 of the 5 authors of 
> the Push Delivery document responded to the WG LC.  Forward progress of 
> the WG is the responsibility of the Chairs (RFC 2418, Sec. 6.1). With 
> the SET document process now complete as RFC 8417, and the Push Delivery 
> document not achieving WG consensus, the choice to terminate the WG per 
> RFC 2418, Sec 4 is open for discussion by the WG.
> 
> proposed protocol is an important factor in progressing the document, 
> but it is not sufficient in the absence of WG
> 
> https://ssl.gstatic.com/ui/v1/icons/mail/images/cleardot.gif
> 
> On Tue, Feb 26, 2019 at 3:25 PM Mike Jones 
> <Michael.Jones=[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     I support Annabelle's inquiry.  In my past IETF experiences, working
>     group decisions have been made to not progress a draft, but such a
>     decision has never been made by the chairs without working group
>     discussion on the question.
> 
>                                      -- Mike
> 
>     From: Id-event <[email-masked]
>     <mailto:[email-masked]>> On Behalf Of Richard Backman,
>     Annabelle
>     To: Yaron Sheffer <[email-masked]
>     <mailto:[email-masked]>>; SecEvent <[email-masked]
>     <mailto:[email-masked]>>
>     engagement demonstrated during the presentations on this draft and
>     its predecessor over the past several (4? 5?) IETF meetings?
>     2. What benefit is there to the IETF, the working group, or the
>     community at-large in dropping this work, when there is a
>     demonstrated need for the protocol, and multiple parties are already
>     implementing it?
>     5. What threshold of engagement needs to be met in order for the
>     chairs to deem the document worthy of continued work within the WG?
> 
>     -- 
>     On 2/25/19, 12:25 PM, "Id-event on behalf of Yaron Sheffer"
>     <[email-masked] <mailto:[email-masked]> on
>     behalf of [email-masked] <mailto:[email-masked]>> wrote:
> 
>          > Yaron,
>          >
>          > Forgive my unfamiliarity with IETF process, but could you
>     explain what
>          > this decision by the chairs means? Does this mean the
>     document will not
>          > be advanced along the standards track, but will remain as a
>     WG draft? Or
>          > does this mean the secevent WG is effectively dropping HTTP push
>          > delivery as a topic that it is working on?
>          >
>          > --
>          >
>          > Annabelle Richard Backman
>          >
>          > AWS Identity
>          >
>          > *From: *Id-event <[email-masked]
>     <mailto:[email-masked]>> on behalf of Yaron Sheffer
>          > <[email-masked] <mailto:[email-masked]>>
>          > *Date: *Sunday, February 17, 2019 at 6:43 AM
>          > *To: *SecEvent <[email-masked] <mailto:[email-masked]>>
>          > *Subject: *[Id-event] Push draft: conclusion of WGLC
>          >
>          > Dear working group,
>          >
>          > We issued a 2-week second last call for
>          > on Jan. 24, and extended it by a further week, which expired
>     on Friday.
>          > We had to issue a second last call because of lack of
>     response to the
>          > first last call which took place in November/December.
>          >
>          > The results were better in the second try (2 non-authors in
>     support, and
>          > 1 not clearly supporting publication) but not enough in our
>     mind to push
>          > the document forward.
>          >
>          > This means that we will not be publishing the Push protocol
>     as a working
>          > group document. The authors are welcome to publish it through
>     other
>          > channels, as an AD-sposored RFC or through the ISE.
>          >
>          > We regret that we have reached this impasse, but clearly
>     there is too
>          > little energy within the working group. We thank the authors
>     for the
>          > significant effort that they put into this document, and
>     thank the
>          > working group members who reviewed it.
>          >
>          > Regards,
>          >
>          >      Dick and Yaron
>          >
> 
>     [email-masked] <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>

---

From: Marius Scurtescu <[email-masked]>
Date: Wed, 27 Feb 2019 14:42:32 -0800

Any chance for an answer from the chairs to the 3 questions below?

---

From: Dick Hardt <[email-masked]>
Date: Wed, 27 Feb 2019 14:58:01 -0800

Hi Marius

Per my other response, implementations are important, but do not represent
rough consensus.

Yaron and I have reached out the the AD to get guidance on how to proceed.

There is low energy in the WG, the implication is that the WG may be ready
to terminate.